Category Features, Object ProFeature

Function ProFeatureSketchAdd


Description
Copies section from a sketched datum curve specified by selection to the incomplete feature.
Synopsis
#include <ProFeature.h>
ProErrorProFeatureSketchAdd(
ProFeature* incomplete_feature
/* (In)
The incomplete feature to which the section needs to be added Supports the following sketched features:
  1. Fill / Flat Surface
  2. Extrude
  3. Revolve
  4. Sketched Datum Curve
  5. Wrap Curve
*/
ProSelection selection
/* (In)
The selection of sketched datum curve feature from which section needs to be copied ( composed of id = feat_id and type = PRO_FEATURE )
*/
int section_number
/* (In)
The section number. The valid values are 0 to (n-1), where n is the number of sections given by the function ProFeatureNumSectionsGet().
*/
)
Returns
PRO_TK_NO_ERRORSuccessful in copying the section
PRO_TK_BAD_INPUTSInvalid inputs
PRO_TK_NOT_EXISTsection_number > max_section_number
PRO_TK_BAD_CONTEXTincomplete_feature is already complete
PRO_TK_INVALID_ITEMImproper selection object
PRO_TK_ABORTselection contains feature other than a sketched datum curve

Manual References:

  1. Element Trees: Sketched Features: Reusing Existing Sketches
  2. Element Trees: Sketched Features: Reusing Existing Sketches